> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch an Account Product



## OpenAPI

````yaml api-reference/openapi-apply.json GET /account_product/{id}
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account Opening
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /account_product/{id}:
    get:
      tags:
        - Account Product
      summary: Fetch an Account Product
      parameters:
        - description: Unique identifier for object
          in: path
          name: id
          required: true
          schema:
            description: Unique identifier for object
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    account_type: checking
                    created_at: '2021-10-27T18:56:55Z'
                    id: apt_11gqk87qmrax
                    name: Personal checking
                    ownership: personal
                    updated_at: '2021-10-27T18:56:55Z'
                    userdata: null
              schema:
                properties:
                  account_type:
                    description: >-
                      The type of account, such as `checking` or `savings`.
                      Filterable.
                    type: string
                  apply_workflow:
                    description: >-
                      Field representing the apply workflow pertaining to this
                      account product.
                    type: string
                  business_kyc_product_id:
                    description: >-
                      ID of the KYC Product used to evaluate business
                      applications
                    type: string
                  fbo_id:
                    description: >-
                      ID of the FBO associated with this account product.
                      Filterable.
                    type: string
                  id:
                    description: Unique identifier for object
                    type: string
                  name:
                    description: Descriptive name of the account product. Filterable.
                    type: string
                  ownership:
                    description: One of `business` or `personal`. Filterable.
                    type: string
                  person_kyc_product_id:
                    description: ID of the KYC Product used to evaluate person applications
                    type: string
                  userdata:
                    description: Optional arbitrary data the user can attach to the object
                    type: object
          description: The account_product
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````